> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Return outgoing links for the given resource

> Exclusive means objects used by the given resource and not used by other resources.



## OpenAPI

````yaml /api-reference/4.2/service-links.json get /links/directed
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service links
servers:
  - url: /api/apollo/
security: []
tags:
  - name: links
paths:
  /links/directed:
    get:
      tags:
        - 4.2 Links API
      summary: Return outgoing links for the given resource
      description: >-
        Exclusive means objects used by the given resource and not used by other
        resources.
      operationId: getDirectedLinks
      parameters:
        - name: resource
          in: query
          description: Resource to get exclusive links for
          required: false
          schema:
            type: string
        - name: exclusive
          in: query
          required: false
          schema:
            type: boolean
            default: false
        - name: bypassCache
          in: query
          description: Bypass the cache and retrieve directly from storage
          required: false
          schema:
            type: boolean
            default: false
        - name: skipSharedGroup
          in: query
          description: Exclude shared group from returned links
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Link'
components:
  schemas:
    Link:
      type: object
      properties:
        subject:
          $ref: '#/components/schemas/FusionResource'
        object:
          $ref: '#/components/schemas/FusionResource'
        linkType:
          type: string
          readOnly: true
          enum:
            - DependsOn
            - Supports
            - IsPartOf
            - HasPart
            - RelatesTo
            - InContextOf
            - HasContext
            - Self
        originator:
          type: string
          readOnly: true
    FusionResource:
      type: object
      properties:
        type:
          type: string
          enum:
            - APPKIT_APP
            - WEBAPP_ADMIN_APP
            - APP
            - COLLECTION
            - INDEX_PIPELINE
            - INDEX_STAGE
            - QUERY_STAGE
            - QUERY_PIPELINE
            - INDEX_PROFILE
            - QUERY_PROFILE
            - BLOB
            - PARSER
            - DATASOURCE
            - TASK
            - SCHEDULE
            - SEARCH_CLUSTER
            - EXPERIMENT
            - SPARK_JOB
            - GROUP
            - CUSTOM_RULE_TYPE
            - TYPE
            - RESOURCE
            - 'NULL'
        id:
          type: string
        canonicalName:
          type: string
        uri:
          type: string
          format: uri

````